read.netcdf {oce} | R Documentation

## Read a netcdf file

### Description

Read a netcdf file

### Usage

    read.netcdf(file, ...)

### Arguments

`file` | the name of a file
`...` | unused

### Details

Read a netcdf file, trying to interpret its contents sensibly.

It is important to note that this is a preliminary version of this function, and much about it may change without notice. Indeed, it may be removed entirely.

Below are some features that may be changed.

1. The names of data items are not changed from those in the netcdf file on the assumption that this will offer the least surprise to the user.

2. An attempt is made to find some common metadata from global attributes in the netcdf file. These attributes include `Longitude`, `Latitude`, `Ship` and `Cruise`. Before they are stored in the metadata, they are converted to lower case, since that is the oce convention.

### Value

An object of `oce-class`.

[Package oce version 0.9-18 Index]